Package ch.qos.logback.classic.spi

# Class LoggerContextVO

java.lang.Object
ch.qos.logback.classic.spi.LoggerContextVO

All Implemented Interfaces:
  `Serializable`

public class LoggerContextVO extends Object implements Serializable
LoggerContextVO offers a restricted view of LoggerContext intended to be exposed by LoggingEvent to remote systems. This restricted view is optimized for serialization.

Some of the LoggerContext or Logger attributes MUST not survive serialization, e.g appenders, level values etc, as these attributes may have other values on the remote platform. LoggerContextVO class exposes the minimal and relevant attributes to the remote host, instead of having to deal with an incomplete LoggerContext with many null references.

Author:
  Ceki Gülcü, Sébastien Pennec
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LoggerContextVO(LoggerContext lc)`
`LoggerContextVO(String name, Map<String,String> propertyMap, long birthTime)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`long`
`getBirthTime()`
`String`
`getName()`
`Map<String,String>`
`getPropertyMap()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LoggerContextVO

public LoggerContextVO(LoggerContext lc)

### LoggerContextVO

public LoggerContextVO(String name, Map<String,String> propertyMap, long birthTime)

## Method Details

### getName

public String getName()

### getPropertyMap

public Map<String,String> getPropertyMap()

### getBirthTime

public long getBirthTime()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`